import App from './App'
import store from './store'
import util from 'utils/util'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

Vue.prototype.$util = util;
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	store,
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif